//=============================================================
//   Shotgun 'Shorty' Weapon
//   Eternal Damnation
//   Dopamine|Silent-Scope
//=============================================================

//class ShortyWeapon extends P2Weapon;
class AW7EDShortyWeapon extends AW7EDShortyReloaderWeapon;

///////////////////////////////////////////////////////////////////////////////
// Vars, structs, consts
///////////////////////////////////////////////////////////////////////////////

var float SPAccuracy;				// How accurate we are in single player games.

var float saveTime, PlayEvery, WeaponSpeedEnd;


//const BASE_FLASH_OFFSET_X = 0.06;
//const BASE_FLASH_OFFSET_Y = 0.015;


const MP_PELLETS = 4;



const BASE_FLASH_OFFSET_X = 0.055;
const BASE_FLASH_OFFSET_Y = 0.01;
const RAND_OFFSET = 0.01;

///////////////////////////////////////////////////////////////////////////////

///////////////////////////////////////////////////////////////////////////////
// Skin changing START Silent-Scope      BOOOOYA
///////////////////////////////////////////////////////////////////////////////


         function Notify_skinflash_start()
         {
  //                Skins[0]=Texture'ED_WeaponSkins.shotgun.shottyskin2'     ;
 //                 Skins[1]=Texture'ED_WeaponSkins.Misc.dude_arms2'       ;

 AmbientGlow=400;

}




///////////////////////////////////////////////////////////////////////////////
// Skin Changing END Silent-Scope  BOOOYA
///////////////////////////////////////////////////////////////////////////////


          function Notify_skinflash_end()
         {
 //                 Skins[0]=Texture'ED_WeaponSkins.shotgun.shottyskin'    ;
 //                 Skins[1]=Texture'ED_WeaponSkins.Misc.dude_arms'       ;

       AmbientGlow=0;
}






///////////////////////////////////////////////////////////////////////////////

//////////////////////Silent-Scope Cocking action add/////////////////////////////////////////////////////////
simulated function Cock()
{
	PlayAnim('Cock', WeaponSpeedReload, 0.05);
	
	P2MocapPawn(Instigator).PlayWeaponSwitch(self);
}

//////////////////////Silent-Scope Cocking action add/////////////////////////////////////////////////////////


///////////////////////////////////////////////////////////////////////////////
function PostBeginPlay()
{
	local float diffoffset;

	Super.PostBeginPlay();

	// If it's a single player game, make our accuracy much worse
	if(Level.Game != None
		&& FPSGameInfo(Level.Game).bIsSinglePlayer)
	{
		TraceAccuracy = SPAccuracy;

		// Based on the difficulty, bump up the number of times AI will continuously
		// shoot this weapon
		diffoffset = P2GameInfo(Level.Game).GetDifficultyOffset();
		if(diffoffset > 0)
		{
			AI_BurstCountExtra+=(diffoffset/2);
		}
	}
}

///////////////////////////////////////////////////////////////////////////////
// This will randomly change the color and the size of the dynamic
// light associate with the flash. Change in each weapon's file,
// but call each time you start up the flash again.
// This function is also used by the third-person muzzle flash, so the 
// colors will look the same
///////////////////////////////////////////////////////////////////////////////
simulated function PickLightValues()
{
	LightBrightness=150;
	LightSaturation=150;
	LightHue=22+FRand()*10;
	LightRadius=24+FRand()*6;
}

///////////////////////////////////////////////////////////////////////////////
// DrawMuzzleFlash()
//Default implementation assumes that flash texture can be drawn inverted in X and/or Y direction to increase apparent
//number of flash variations
// We might need to draw a dark blood splat
///////////////////////////////////////////////////////////////////////////////
simulated function SetupMuzzleFlash()
{
	bMuzzleFlash = true;
	bSetFlashTime = false;
	// Gets turned off in weapon, in RenderOverlays
	// Slightly change colors each time
	if(IsFirstPersonView()
		&& bDrawMuzzleFlash)
	{
		PickLightValues();
		bDynamicLight=bAllowDynamicLights;
	}
}


///////////////////////////////////////////////////////////////////////////////
// See what we hit
///////////////////////////////////////////////////////////////////////////////
function TraceFire( float Accuracy, float YOffset, float ZOffset )
{
	local int i;

	// Reduce the ammo only by 1 here, for the shotgun, but shoot
	// ShotCountMaxForNotify number of pellets each time.
	P2AmmoInv(AmmoType).UseAmmoForShot();

//      		if(SeverHit == 1
//	&& PersonPawn(PawnHit) != None)
//	ShortyBulletAmmoInv(AmmoType).ProcessSeverHit(self, PawnHit, HitLocation, HitNormal, X,Y,Z);

	// Reduce the cat ammo if we're using one
	//if(CatOnGun == 1)
	//	CatAmmoLeft--;

    // Kamek: shoot fewer pellets in multiplayer
	if (BulletSinglePlayer(Level.Game) == None)
		ShotCountMaxForNotify = MP_PELLETS;

	for(i=0; i<ShotCountMaxForNotify; i++)
	{
		Super.TraceFire(Accuracy, YOffset, ZOffset);
	}
}
state ClientFiring
{
}
state NormalFire
{
}

state Idle
{
	simulated function BeginState()
		{
		// If instigator doesn't want to fire anymore then we can finally
		// end the whole pouring sequence.
		if (!Instigator.PressingFire())
			{
			if (Owner != None)
				ForceEndFire();
			}
		}




	        event Tick(float DeltaTime)
                {
                local int i;

	        i = frand() * 5;
//dopamine                log (savetime$"-"$level.timeseconds);

                //dopamine if they have reached the amount of time in talk every
	        If (Level.TimeSeconds - SaveTime > PlayEvery){

                   //if they are not currently firing then play the animation
    	           if (!IsFiring()){
                        PlayAnim('Idle_Play', WeaponSpeedEnd, 0.05);
                   }
	           SaveTime = Level.TimeSeconds;
                }
        }
}

///////////////////////////////////////////////////////////////////////////////
// Default properties
///////////////////////////////////////////////////////////////////////////////

defaultproperties
{
     SPAccuracy=1.900000
     PlayEvery=12.000000
     WeaponSpeedEnd=1.000000
     ViolenceRank=3
     RecognitionDist=1100.000000
     ShotCountMaxForNotify=6
     AI_BurstCountMin=3
     holdstyle=WEAPONHOLDSTYLE_Double
     switchstyle=WEAPONHOLDSTYLE_Double
     firingstyle=WEAPONHOLDSTYLE_Double
     MinRange=25.000000
     ShakeOffsetTime=2.500000
     CombatRating=4.000000
     FirstPersonMeshSuffix="ED_Shotgun_NEW"
     WeaponSpeedLoad=1.500000
     WeaponSpeedReload=1.100000
     WeaponSpeedHolster=1.500000
     WeaponSpeedShoot1Rand=0.100000
     WeaponSpeedIdle=0.900000
     AmmoName=Class'AW7EDAmmo.ShortyAmmoInv'
     ReloadCount=6
     AutoSwitchPriority=8
     ShakeRotMag=(X=700.000000)
     ShakeRotTime=2.500000
     ShakeOffsetMag=(X=22.000000,Y=6.000000,Z=6.000000)
     TraceAccuracy=1.000000
     aimerror=400.000000
     AIRating=0.300000
     MaxRange=30.000000
     FireSound=Sound'Zombification.Weapons.shotgun_fire'
     FlashOffsetY=-0.050000
     FlashOffsetX=0.060000
     FlashLength=0.050000
     MuzzleFlashSize=128.000000
     MFTexture=Texture'Timb.muzzle_flash.shotgun_corona'
     MuzzleFlashScale=2.400000
     MuzzleFlashStyle=STY_Normal
     InventoryGroup=5
     GroupOffset=11
     PickupClass=Class'Shorty.ShortyPickup'
     BobDamping=0.975000
     AttachmentClass=Class'Shorty.ShortyAttachment'
     ItemName="Shorty"
     Texture=Texture'ED_Hud.HUDshotty'
     Mesh=SkeletalMesh'ED_Weapons.ED_Shotgun_NEW'
     Skins(0)=Texture'ED_WeaponSkins.shotgun.shottyskin'
     Skins(1)=Texture'ED_WeaponSkins.Misc.dude_arms'
     Skins(3)=Texture'ED_WeaponSkins.Misc.dude_arms2'
     AmbientGlow=0
     SoundRadius=255.000000
}