class AW7EDMenuOptions extends AWMenuOptions;

///////////////////////////////////////////////////////////////////////////////
// Vars, structs, consts, enums...
///////////////////////////////////////////////////////////////////////////////
var class<ShellMenuCW> MenuGameOptionsClass;
var class<ShellMenuCW> MenuPerformanceClass;

///////////////////////////////////////////////////////////////////////////////
// Handle notifications from controls
///////////////////////////////////////////////////////////////////////////////
function Notify(UWindowDialogControl C, byte E)
	{
	local bool bHandled;

	switch(E)
		{
		case DE_Click:
			if (C != None)
				switch (C)
					{
					case GameChoice:
						GoToMenu(MenuGameOptionsClass);
						bHandled = true;
						break;
					case PerformanceChoice:
						GoToMenu(MenuPerformanceClass);
						bHandled = true;
						break;
					}
			break;
		}

	if (!bHandled)
		Super.Notify(C, E);
	}

///////////////////////////////////////////////////////////////////////////////
// Default properties
///////////////////////////////////////////////////////////////////////////////

defaultproperties
{
     MenuGameOptionsClass=Class'AW7EDShell.AW7EDMenuGameSettings'
     MenuPerformanceClass=Class'AW7EDShell.AW7EDMenuPerformance'
     astrTextureDetailNames(0)="UltraLow"
     astrTextureDetailNames(1)="Low"
     astrTextureDetailNames(2)="Medium"
     astrTextureDetailNames(3)="High"
}
