class AW7EDMenuPerformance extends MenuPerformance;

///////////////////////////////////////////////////////////////////////////////
// Vars, structs, consts, enums...
///////////////////////////////////////////////////////////////////////////////
var class<ShellMenuCW> MenuPerformanceAdvancedClass;

///////////////////////////////////////////////////////////////////////////////
// Handle notifications from controls
///////////////////////////////////////////////////////////////////////////////
function Notify(UWindowDialogControl C, byte E)
	{
	local bool bHandled;

	switch(E)
		{
		case DE_Click:
			if (C != None)
				switch (C)
					{
					case AdvancedChoice:
						GoToMenu(MenuPerformanceAdvancedClass);
						bHandled = true;
						break;
					}
			break;
		}

	if (!bHandled)
		Super.Notify(C, E);
	}

///////////////////////////////////////////////////////////////////////////////
// Default properties
///////////////////////////////////////////////////////////////////////////////

defaultproperties
{
     MenuPerformanceAdvancedClass=Class'AW7EDShell.AW7EDMenuPerformanceAdvanced'
     astrTextureDetailNames(0)="UltraLow"
     astrTextureDetailNames(1)="Low"
     astrTextureDetailNames(2)="Medium"
     astrTextureDetailNames(3)="High"
}
