///////////////////////////////////////////////////////////////////////////////
// AWRootWindow.uc
// Copyright 2003 Running With Scissors, Inc.  All Rights Reserved.
//
///////////////////////////////////////////////////////////////////////////////
class AW7EDRootWindow extends AWRootWindow;

var const int KeyConfigVersion;
var config int AW7Version;
/*
///////////////////////////////////////////////////////////////////////////////
// Called after this object has been created
///////////////////////////////////////////////////////////////////////////////
event Initialized()
{
	Super.Initialized();

	if (AW7Version != KeyConfigVersion)
	{
		// Set up INI file on first INI creation.
		log(self@"initializing AW7 INI settings...");

		GetPlayerOwner().ConsoleCommand("set Engine DefaultGame AW7EDGame.AW7EDGameInfo");
		GetPlayerOwner().ConsoleCommand("set System SavePath ../AW7EDSave");
		AW7Version = KeyConfigVersion;
		SaveConfig();

		GetPlayerOwner().Level.ServerTravel("?Game=AW7EDGame.AW7EDGameInfo", false);
	}
}
*/
///////////////////////////////////////////////////////////////////////////////
// Default properties
///////////////////////////////////////////////////////////////////////////////

defaultproperties
{
     KeyConfigVersion=100
     MenuMainClass=Class'AW7EDShell.AW7EDMainMenu'
     MenuGameClass=Class'AW7EDShell.AW7EDMenuGame'
     StartupMapName="AW7_Startup"
}
